linear.cpp File Reference
`#include <gecode/float/linear.hh>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

void | Gecode::linear (Home home, const FloatVarArgs &x, FloatRelType frt, FloatVal c)
| Post propagator for .
void | Gecode::linear (Home home, const FloatVarArgs &x, FloatRelType frt, FloatVal c, Reify r)
| Post propagator for .
void | Gecode::linear (Home home, const FloatValArgs &a, const FloatVarArgs &x, FloatRelType frt, FloatVal c)
| Post propagator for .
void | Gecode::linear (Home home, const FloatValArgs &a, const FloatVarArgs &x, FloatRelType frt, FloatVal c, Reify r)
| Post propagator for .
void | Gecode::linear (Home home, const FloatVarArgs &x, FloatRelType frt, FloatVar y)
| Post propagator for .
void | Gecode::linear (Home home, const FloatVarArgs &x, FloatRelType frt, FloatVar y, Reify r)
| Post propagator for .
void | Gecode::linear (Home home, const FloatValArgs &a, const FloatVarArgs &x, FloatRelType frt, FloatVar y)
| Post propagator for .
void | Gecode::linear (Home home, const FloatValArgs &a, const FloatVarArgs &x, FloatRelType frt, FloatVar y, Reify r)
| Post propagator for .